<?php
/**
* ブール値整数書式例外
*
* [詳細]
* ・ブール値でなければならない箇所でブール値以外の書式の値が渡された
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class BooleanFormatException extends CharcoalException
{
	public function __construct( $var_value, $message = NULL )
	{
		$msg  = "[var value]$var_value";
		$msg .= "[message] must be a BOOLEAN value. $message";

		parent::__construct( $msg );

		ExceptionStack::push( $this );
	}

}
return __FILE__;
